uint64_unpack(3)

NAME
uint64_unpack - read an unsigned little-endian 64-bit integer

SYNTAX
#include <libowfat/uint64.h>

uint64 u;

void uint64_unpack(const char s[4],uint64 *u);

DESCRIPTION
uint64 is a 64-bit unsigned integer type.

uint64_unpack portably reads a uint64 as stored on a little-endian architecture from s and writes it into u in the native byte order.

SEE ALSO
uint64_pack(3), uint64_unpack_big(3)